Search found 379 matches

Go to advanced search

by onekk
Mon Jun 08, 2020 1:49 pm
Forum: Draft, Arch & BIM
Topic: [Discussion] A different approach to Arch modelling (Arch Assembly?)
Replies: 184
Views: 8190

Re: [Discussion] A different approach to Arch modelling (Arch Assembly?)

OK there is my code, only the relevant part. # DOCUMENT START HERE def telaio(tel_w, tel_h , tel_ww, tel_wh, tel_th): i_tel_w = tel_w - tel_ww * 2 i_tel_h = tel_h - tel_wh * 2 ep0 = (tel_w * -0.5, 0, 0) ep1 = (tel_w * 0.5, 0, 0) ep2 = (tel_w * 0.5, 0, tel_h) ep3 = (tel_w * -0.5, 0, tel_h) ip0 = (i_t...
by onekk
Mon Jun 08, 2020 10:09 am
Forum: Draft, Arch & BIM
Topic: [Discussion] A different approach to Arch modelling (Arch Assembly?)
Replies: 184
Views: 8190

Re: [Discussion] A different approach to Arch modelling (Arch Assembly?)

I think that this is cool! Thanks We could think about different presets... for example we could define how many panes the window should have (1-2-3-10?) Not to reinvent the wheel, if i reuse my code and add a number of panes in : def finestra(opening_th=300, opening_height=1400, opening_width=1200...
by onekk
Sun Jun 07, 2020 7:02 pm
Forum: Draft, Arch & BIM
Topic: [Discussion] A different approach to Arch modelling (Arch Assembly?)
Replies: 184
Views: 8190

Re: [Discussion] A different approach to Arch modelling (Arch Assembly?)

""" FreeCAD script - macro to be used with the OnePartLib part library copyright 2019 Carlo Dormeletti (onekk) carlo.dormeletti@yahoo.com Version: """ import sys import datetime import time import FreeCAD import FreeCADGui from FreeCAD import Rotation, Vector import Part import Draft #import Mesh #...
by onekk
Sun Jun 07, 2020 5:54 pm
Forum: Draft, Arch & BIM
Topic: [Discussion] A different approach to Arch modelling (Arch Assembly?)
Replies: 184
Views: 8190

Re: [Discussion] A different approach to Arch modelling (Arch Assembly?)

If you use my code, the axes are shown you will see that the window is created with the bottom center around Vector(0,0,0) and the window "extruding" by Y axes positive, seems to be a viable reference point, it lacks of the offset in y for the placement on the wall thickness and the sill dimensions...
by onekk
Sun Jun 07, 2020 5:02 pm
Forum: Draft, Arch & BIM
Topic: [Discussion] A different approach to Arch modelling (Arch Assembly?)
Replies: 184
Views: 8190

Re: [Discussion] A different approach to Arch modelling (Arch Assembly?)

""" FreeCAD script - macro to be used with the OnePartLib part library copyright 2019 Carlo Dormeletti (onekk) carlo.dormeletti@yahoo.com Version: """ import sys import datetime import time import importlib import FreeCAD import FreeCADGui from FreeCAD import Rotation, Vector import Part import Dra...
by onekk
Sun Jun 07, 2020 4:27 pm
Forum: Draft, Arch & BIM
Topic: [Discussion] A different approach to Arch modelling (Arch Assembly?)
Replies: 184
Views: 8190

Re: [Discussion] A different approach to Arch modelling (Arch Assembly?)

""" FreeCAD script - macro to be used with the OnePartLib part library copyright 2019 Carlo Dormeletti (onekk) carlo.dormeletti@yahoo.com Version: """ import sys import datetime import time import importlib import FreeCAD import FreeCADGui from FreeCAD import Rotation, Vector import Part import Dra...
by onekk
Sun Jun 07, 2020 3:38 pm
Forum: Draft, Arch & BIM
Topic: [Discussion] A different approach to Arch modelling (Arch Assembly?)
Replies: 184
Views: 8190

Re: [Discussion] A different approach to Arch modelling (Arch Assembly?)

Yes, specify some dimensions to pass to the creation script, and i will put a simple test script. so we can work on some more "solid" base.

Regards

Carlo D.
by onekk
Sun Jun 07, 2020 2:20 pm
Forum: Forum Italiano
Topic: Esportazione solidi per CamBam
Replies: 3
Views: 198

Re: Esportazione solidi per CamBam

Semplice oggetto, mica tanto. Ad esempio l'asta non è definita come un solido, infatti se cerchi di selezionarla, la selezione è a macchia di leopardo, per cui probabilmente il solido non è generato con precisione, ma deriva magari da qualche esportazione multipla cioè convertendo il modello da un f...
by onekk
Sun Jun 07, 2020 1:27 pm
Forum: Forum Italiano
Topic: Quando utilizzare corpi separati
Replies: 8
Views: 231

Re: Quando utilizzare corpi separati

per part intendo dire i componenti. I concetti teorici sono abbastanza labili. Una spiegazione approfondita è lunga. In FreeCAD hai due tipi principali di concetti, il solido che puoi generare internamente ad esempio con uno script che in genere possiede una "forma" (TopoShape) che è uno dei mattonc...
by onekk
Sun Jun 07, 2020 12:43 pm
Forum: Python scripting and macros
Topic: Macros and the Python console
Replies: 7
Views: 213

Re: Macros and the Python console

Simply let FreeCAD open a file with extension .py and it will be open in the "internal python editor ", i.e the Macro editor. For an extenral module , the Mod directory is the quiack answer, but you can put it anywhere you want, provided you add the location of the module in the "internal python int...

Go to advanced search